// src/lib/service.ts
// Copyright (C) 2026 Robert Colbert <rob.colbert@openplatform.us>
// All Rights Reserved

// import env from "../config/env.js";

import { GadgetComponent, GadgetLog } from "@gadget/api";

export abstract class DtpService implements GadgetComponent {
  log: GadgetLog;

  abstract get name(): string;
  abstract get slug(): string;

  constructor() {
    this.log = new GadgetLog(this);
  }

  abstract start(): Promise<void>;
  abstract stop(): Promise<void>;
}
